> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create balance order

POST https://api.brevo.com/v3/loyalty/balance/programs/{pid}/create-order
Content-Type: application/json

Returns created order

Reference: https://developers.brevo.com/reference/create-balance-order

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program Id

### Body (application/json)

This endpoint expects an object.

- `amount` (double, required) — Order amount (must be non-zero).
- `balanceDefinitionId` (string, required) — Unique identifier (UUID) of the associated balance definition.
- `contactId` (integer, required) — Unique identifier of the contact placing the order (must be ≥ 1).
- `dueAt` (string, required) — RFC3339 timestamp specifying when the order is due.
- `source` (enum, required) — Specifies the origin of the order.
  - Allowed values: `engine`, `user`
- `expiresAt` (string, optional) — Optional RFC3339 timestamp defining order expiration.
- `meta` (map from string to any, optional) — Optional metadata associated with the order.

## Response

### 200

Successful creation of order

- `amount` (double, required) — Order amount (must not be zero).
- `contactId` (integer, required) — Unique identifier of the contact placing the order (must be ≥ 1).
- `createdAt` (string, required) — RFC3339 timestamp indicating when the order was created.
- `dueAt` (string, required) — RFC3339 timestamp specifying when the order is due in the future.
- `loyaltyProgramId` (string, required) — Unique identifier of the loyalty program associated with the order.
- `updatedAt` (string, required) — RFC3339 timestamp indicating the last update to the order.
- `balanceDefinitionId` (string, optional) — Optional unique identifier (UUID) of the associated balance definition.
- `expiresAt` (string, optional) — Optional RFC3339 timestamp defining order expiration in the future.
- `id` (string, optional) — Unique identifier for the balance order.
- `meta` (map from string to any, optional) — Optional metadata associated with the order.
- `processedAt` (string, optional) — Optional RFC3339 timestamp indicating when the order was processed.
- `transactionid` (string, optional) — Optional reference to the associated transaction ID.

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Request**

```json
{
  "amount": 1.1,
  "balanceDefinitionId": "string",
  "contactId": 1,
  "dueAt": "string",
  "source": "engine"
}
```

**Response**

```json
{
  "amount": 1.1,
  "contactId": 1,
  "createdAt": "string",
  "dueAt": "string",
  "loyaltyProgramId": "string",
  "updatedAt": "string",
  "balanceDefinitionId": "string",
  "expiresAt": "string",
  "id": "string",
  "meta": {},
  "processedAt": "string",
  "transactionid": "string"
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.balance.createBalanceOrder({
        pid: "pid",
        amount: 1.1,
        balanceDefinitionId: "string",
        contactId: 1,
        dueAt: "string",
        source: "engine",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.balance.create_balance_order(
    pid="pid",
    amount=1.1,
    balance_definition_id="string",
    contact_id=1,
    due_at="string",
    source="engine",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Balance\Requests\CreateBalanceOrderRequest;
use Brevo\Balance\Types\CreateBalanceOrderRequestSource;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->balance->createBalanceOrder(
    'pid',
    new CreateBalanceOrderRequest([
        'amount' => 1.1,
        'balanceDefinitionId' => 'string',
        'contactId' => 1,
        'dueAt' => 'string',
        'source' => CreateBalanceOrderRequestSource::Engine->value,
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/balance/programs/pid/create-order"

	payload := strings.NewReader("{\n  \"amount\": 1.1,\n  \"balanceDefinitionId\": \"string\",\n  \"contactId\": 1,\n  \"dueAt\": \"string\",\n  \"source\": \"engine\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/balance/programs/pid/create-order")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"amount\": 1.1,\n  \"balanceDefinitionId\": \"string\",\n  \"contactId\": 1,\n  \"dueAt\": \"string\",\n  \"source\": \"engine\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/loyalty/balance/programs/pid/create-order")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"amount\": 1.1,\n  \"balanceDefinitionId\": \"string\",\n  \"contactId\": 1,\n  \"dueAt\": \"string\",\n  \"source\": \"engine\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/balance/programs/pid/create-order");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"amount\": 1.1,\n  \"balanceDefinitionId\": \"string\",\n  \"contactId\": 1,\n  \"dueAt\": \"string\",\n  \"source\": \"engine\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "amount": 1.1,
  "balanceDefinitionId": "string",
  "contactId": 1,
  "dueAt": "string",
  "source": "engine"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/balance/programs/pid/create-order")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```